[HELP ME] amule-1.2.8-0 installato su suse 9.1 personal non mi parte.

3 risposte [Ultimo messaggio]
Ritratto di legolas
legolas
(Junior)
Offline
Junior
Iscritto: 08/10/2004
Messaggi: 8

Chi mi dà una mano?
Ho installato tutti gli rpm che consigliava il sito di amule, però non mi parte.
Se lo faccio parite da console mi scrive questo:

Initialising aMule
Config:
x1: 0 y1: 0 x2: 0 y2: 0
split read, found : 0
srv_split read, found : 0
ECServer listening on port 4712.

OOPS! - Seems like aMule crashed
--== BACKTRACE FOLLOWS: ==--

[0] /usr/bin/amule(_ZN9CamuleApp16OnFatalExceptionEv+0x41) [0x81dd9f1]
[1] /usr/local/lib/libwx_gtk-2.4.so.0(wxFatalSignalHandler+0x2b) [0x403e08db]
[2] [0xffffe420]
[3] /usr/bin/amule(_ZN9CamuleDlg13CreateSystrayERK8wxString+0x6b) [0x81e908b]
[4] /usr/bin/amule(_ZN9CamuleApp6OnInitEv+0x1680) [0x81e1370]
[5] /usr/local/lib/libwx_gtk-2.4.so.0(_Z7wxEntryiPPc+0x240) [0x4023f590]
[6] /usr/bin/amule(main+0x1b) [0x81e24ab]
[7] /lib/tls/libc.so.6(__libc_start_main+0xe0) [0x40a50500]
[8] /usr/bin/amule(_ZN16wxScrolledWindow16AdjustScrollbarsEv+0xd1) [0x8091391]
Abortito

Ritratto di giuped
giuped
(Monster)
Offline
Monster
Iscritto: 09/09/2004
Messaggi: 208

Pechè non provi la versione 2.0? ci sono gli rpm per la 9.1!

la mia distrostory:
RedHat->mandrake->suse->mandriva->suse->ubuntu->kubuntu->suse 10.1
Gira e rigira torno sempre da lei!!! Laughing

Ritratto di legolas
legolas
(Junior)
Offline
Junior
Iscritto: 08/10/2004
Messaggi: 8

Ho provato con la 2.0.0rc7, ma mi dà quest'errore:

amule: Symbol `_ZTV10wxTextCtrl' has different size in shared object, consider re-linking
Initialising aMule
Userhash loaded: 15A33346D90E04DD4F54E7A7F9A56F8E
*** UDP socket at 4665
*** UDP socket at 4672

OOPS! - Seems like aMule crashed.
Version is: aMule 2.0.0rc7 using wxGTK1 v2.4.2
--== BACKTRACE FOLLOWS: ==--

[0] amule(_ZN9CamuleApp16OnFatalExceptionEv+0x122) [0x8225c82]
[1] /usr/local/lib/libwx_gtk-2.4.so.0(wxFatalSignalHandler+0x2b) [0x404068db]
[2] [0xffffe420]
[3] /lib/tls/libc.so.6(malloc+0x94) [0x40a9f344]
[4] /opt/gnome/lib/libglib-1.2.so.0(g_malloc+0x2b) [0x406cecfb]
[5] /opt/gnome/lib/libglib-1.2.so.0(g_strdup+0x34) [0x406d8814]
[6] /opt/gnome/lib/libgtk-1.2.so.0(gtk_type_unique+0x47) [0x40639e17]
[7] /opt/gnome/lib/libgtk-1.2.so.0(gtk_editable_get_type+0x39) [0x4059e049]
[8] /opt/gnome/lib/libgtk-1.2.so.0(gtk_text_get_type+0x27) [0x40625737]
[9] /opt/gnome/lib/libgtk-1.2.so.0(gtk_text_new+0xea) [0x4062893a]
[10] /usr/local/lib/libwx_gtk-2.4.so.0(_ZN10wxTextCtrl6CreateEP8wxWindowiRK8wxStringRK7wxPointRK6wxSizelRK11wxValidatorS4_+0xba) [0x402b47ea]
[11] /usr/local/lib/libwx_gtk-2.4.so.0(_ZN10wxTextCtrlC2EP8wxWindowiRK8wxStringRK7wxPointRK6wxSizelRK11wxValidatorS4_+0x89) [0x402b5079]
[12] amule(_ZN13CMuleTextCtrlC1EP8wxWindowiRK8wxStringRK7wxPointRK6wxSizelRK11wxValidatorS4_+0x30) [0x8170eb0]
[13] amule(_Z7muleDlgP8wxWindowbb+0x1e8) [0x8199358]
[14] amule(_ZN9CamuleDlgC1EP8wxWindowRK8wxString7wxPoint6wxSize+0x35c) [0x8231e0c]
[15] amule(_ZN9CamuleApp6OnInitEv+0x2831) [0x822a851]
[16] /usr/local/lib/libwx_gtk-2.4.so.0(_Z7wxEntryiPPc+0x240) [0x40265590]
[17] amule(main+0x17) [0x822b187]
[18] /lib/tls/libc.so.6(__libc_start_main+0xe0) [0x40a50500]
[19] amule(_ZN16wxScrolledWindow16AdjustScrollbarsEv+0xa9) [0x80c52e1]
Abortito

Ritratto di cosmico
cosmico
(Geek)
Offline
Geek
Iscritto: 02/11/2004
Messaggi: 108

Allora prova così, dovrebbe funzionare!

Segui la semplice guida http://www.amule.org/wiki/index.php/Compilation_Installation#Compiling_From_Sources

ed installa i pacchetti seguendo il seguente schema:

-wxgt 2.4.2
-wxgt 2.4.2 devel
-wxbase
-amule2rc7

(gli rpm li scarichi cliccando sopra i link della guida e li installi con yast).

Ovviamente devi rimuovere sia amule che le librerie precedenti!

Ciao
simone

Linux User Suse Linux 10.1 #369296